--
-- updateTippingCylinder
--
-- @author:    	Xentro (www.fs-uk.com)(Marcus@Xentro.se)
-- @version:    v1.0
-- @date:       2013-06-02
-- 
--[[
<updateTippingCylinder movingToolIds="INT INT INT" />
]]--
updateTippingCylinder = {};

function updateTippingCylinder.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(Cylindered, specializations) and SpecializationUtil.hasSpecialization(Trailer, specializations);
end;

function updateTippingCylinder:load(xmlFile)
	self.toolIds = {};
	
	local toolIds = Utils.getVectorNFromString(getXMLString(xmlFile, "vehicle.updateTippingCylinder#movingToolIds"));
	if toolIds ~= nil then
		for toolId in ipairs(toolIds) do
			if self.movingTools[toolId] ~= nil then
				table.insert(self.toolIds, {id=toolId});
			end;
		end;
	end;
end;

function updateTippingCylinder:delete()
end;

function updateTippingCylinder:readStream(streamId, connection)
end;

function updateTippingCylinder:writeStream(streamId, connection)
end;

function updateTippingCylinder:mouseEvent(posX, posY, isDown, isUp, button)
end;

function updateTippingCylinder:keyEvent(unicode, sym, modifier, isDown)
end;

function updateTippingCylinder:update(dt)
	if not self:getIsActive() then
		if self.tipState ~= Trailer.TIPSTATE_CLOSED then
			for _, v in ipairs(self.toolIds) do
				self:setMovingToolDirty(self.movingTools[v.id].node);
			end;
		end;
	end;
end;

function updateTippingCylinder:updateTick(dt)
end;

function updateTippingCylinder:draw()
end;